﻿using XF.Domain.Dependency;

namespace Hotline.Settings
{
    public class SysDicDataDomainRepository : ISysDicDataDomainRepository, IScopeDependency
    {
        private readonly ISysDicDataRepository _sysDicDataRepository;
        public SysDicDataDomainRepository(ISysDicDataRepository sysDicDataRepository)
        {
            _sysDicDataRepository = sysDicDataRepository;
        }

        public async Task<IReadOnlyList<SysDicData>> GetSysDicDataByCode(string code)
        {
            return await _sysDicDataRepository.Queryable().Where(x => x.DicTypeCode == code).ToTreeAsync(x => x.Children, x => x.ParentId, "");
        }
    }
}
